This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 171334 - Review Request: nsd - Fast and lean authoritative DNS Name Server
Review Request: nsd - Fast and lean authoritative DNS Name Server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://www.nlnetlabs.nl/nsd/
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-20 17:11 EDT by Paul Wouters
Modified: 2014-07-28 18:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-29 21:23:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
limburgher: fedora‑cvs+


Attachments (Terms of Use)
updated spec file (2.94 KB, text/plain)
2005-12-11 17:54 EST, Tom "spot" Callaway
no flags Details

  None (edit)
Description Paul Wouters 2005-10-20 17:11:18 EDT
Spec Name or Url: ftp://ftp.xelerance.com/nsd/binaries/fedora/4/nsd.spec
SRPM Name or Url: ftp://ftp.xelerance.com/nsd/binaries/fedora/4/nsd-2.3.1-1.src.rpm
Description: NSD is a complete implementation of an authoritative DNS name server.
For further information about what NSD is and what NSD is not please
consult the REQUIREMENTS document which is a part of this distribution
(thanks to Olaf). nsd supports DNSSEC
Comment 1 Paul Wouters 2005-12-05 13:06:31 EST
nsd 2.3.2 was released today. I've upgraded the rpms and spec files.
- upgraded to 2.3.2
- no longer run chkconfig upon install in the spec file (FE policy)
- change nsd.init to not run on install (FE policy)

ftp://ftp.xelerance.com/nsd/binaries/fedora/4/nsd.spec
ftp://ftp.xelerance.com/nsd/binaries/fedora/4/nsd-2.3.2-1.src.rpm

binaries for fc3 (intel) and fc4 (intel, x86_64) are available as yum repository
at ftp://ftp.xelerance.com/nsd/binaries/fedora
Comment 2 Tom "spot" Callaway 2005-12-11 17:52:34 EST
There were some minor changes I made to your spec:

- used a %{?dist} tag (not mandatory, but good practice, IMHO)
- corrected Source path
(http://open.nlnetlabs.nl/downloads/nsd/%{name}-%{version}.tar.gz)
- moved rm -rf %{buildroot} from %prep to %install
- owned %dir %{_sysconfdir}/nsd/
- %{_mandir}/*/* doesn't need to be %doc, anything in %{_mandir} is %doc
automagically.

I'm going to attach the revised spec, I did the review off that spec file. Also,
note that 2.3.3 is out. You might want to update to that rev before committing.

Good:

- rpmlint checks return:
E: nsd non-executable-script /etc/nsd/nsdc.conf 0644
E: nsd postin-without-chkconfig /etc/rc.d/init.d/nsd

The nsdc.conf file has #!/bin/sh as its first line, but it's not a script (or
rather, its a shell script that does nothing but define variables). Safe to
ignore. The postin-without-chkconfig is also safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (BSD-like) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED (assuming that you use my spec file changes).
Comment 3 Tom "spot" Callaway 2005-12-11 17:54:01 EST
Created attachment 122112 [details]
updated spec file
Comment 4 Paul Wouters 2005-12-12 20:06:35 EST
I have incorporated your spec file changes.
nsd-2.3.2 and 2.3.3 fail to start properly when compiled with --enable-checking

I have a patch from the developers, but that still did not fix the issue. I left
their patch in but left out --enable-checking for now. In that configuration,
the nsd rpm is stable (and we're running it on our primary nameserver)

I've updated the rpm and spec file, and will commmit to FE when the access has
been created.

ftp://ftp.xelerance.com/nsd/binaries/fedora/4/SRPMS/nsd.spec
ftp://ftp.xelerance.com/nsd/binaries/fedora/4/SRPMS/nsd-2.3.3-2.src.rpm

Thanks!

Paul
Comment 5 Paul Wouters 2014-07-28 14:52:27 EDT
Package Change Request
======================
Package Name: nsd
New Branches: epel7
Owners: pwouters
Comment 6 Jon Ciesla 2014-07-28 15:13:40 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.